Subject: bug#78693: 14.0.9; Folding of math macros with a function spec is broken

From: Rahguzar <[email-masked]>
Date: Sun, 22 Jun 2025 12:14:43 +0500

Hi Paul,

"Paul D. Nelson" <[email-masked]> writes:

> Hi Raghuzar,
>
>> I have tested the patch and resolve the original issue. I haven't tested
>> the new functionality using the SPEC.
>
> Thanks.
>
>> One question about it: One problem I have had is that, if I have
>> something like
>>
>> \begin{align}
>>   [\hat{X},\hat{P}] = i\hbar
>> \end{align}
>>
>> the commutator gets folded as an optional argument to the \begin.
>> It is possible to not have this effect with new machinery without
>> specifying \begin as not taking any optional arguments?
>
> Could you please share your tex folding config, or better, the part
> relevant for folding \begin{align}?

It is this:

(setq TeX-fold-macro-spec-list
      `(("⬖ {1}" ("begin"))
        ("⬗ {1}" ("end"))))

and I have included a test.tex file which you can use to see the effect.

>> I have only seen optional arguments before mandatory ones but I don't
>> know if that can be relied upon in general.
>
> What about "\begin{theorem}[My Favorite Theorem]"?
>
> Paul

In my corner (theoretical physics) we don't do much theorem proving :)
I have used environments for theorems but very rarely. I expected optional
arguments after mandatory ones to be possible. For the example you give
my folding would be very annoying.

Rahguzar